fn entry_impl(haypile: &str, needles: &str)-> Option<(usize, usize)> {
    let hl = haypile.len();
    let nl = needles.len();
    
    for gl in 1 .. (hl / nl) {
        for ni in 0 .. (hl - (nl * gl)) {
            let mut cn: String = "".to_string();
            for hi in ni .. hl {
                if (hi - ni) % gl == 0 && (cn.len() < needles.len()) {
                    cn += &haypile.chars().nth(hi).unwrap().to_string();
                }
            }
            if cn == needles {
                return Some((ni, gl))
            }
        }
    }
    
    return None
}



fn entry(haystack: &str, needle: &str)-> Option<(usize, usize)> {
    return entry_impl(haystack, needle);
}